<?php
require_once('include/global.php');
require_once('sadmin_conf.inc.php');

// 스팸 업데이트 직접 실행 - 파일이 있을때 실행 가능 시간 무시하고 실행
if ($_GET['execute'] == '1') {
	$forceExecuteFile = $UPLOAD_ROOT_NEW . '/.agent_spam_update_force';

	if (file_exists($forceExecuteFile)) {
		msg("이미 스팸 업데이트 실행이 요청되었습니다.\\n\\n시간이 지나도 진행되지 않을 경우, 서버에서 NmailAgent 가 실행중인지 점검이 필요합니다.", 0);
	} else {
		touch($forceExecuteFile);
		chmod($forceExecuteFile, 0777);

		msg("스팸 업데이트 실행을 요청하였습니다.\\n\\n최신 업데이트가 있을 경우, 약 1~2분후 업데이트된 버전 확인이 가능합니다.", 0);
	}

	movepage('sadmin.php');
}
movepage('sadmin.php');

require_once('include/global_end.php');
